import { Host, h } from "@stencil/core";
export class ArcadeButton {
    constructor() {
        this.action = undefined;
        this.label = undefined;
    }
    render() {
        return (h(Host, { key: 'e67089b4cf5b9aa1d6b49a9e0739dd69cf127c23' }, h("div", { key: '78ed5a165b7a1c8cf391e8a0998e599cfff81180', class: "pixel-button-container" }, h("button", { key: '92dabcad32b59610b93d32c4ada66c2358c41d55', onClick: () => this.action() }, this.label))));
    }
    static get is() { return "arcade-button"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["arcade-button.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["arcade-button.css"]
        };
    }
    static get properties() {
        return {
            "action": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "() => void",
                    "resolved": "() => void",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                }
            },
            "label": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "label",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=arcade-button.js.map
