import { p as proxyCustomElement, H, h, c as Host } from './p-62b2809a.js';

const arcadeButtonCss = ":host{display:block}.pixel-button-container{margin-top:15px;margin-bottom:15px}.pixel-button-container button{color:white;all:unset;border-style:solid;border-color:white;border-width:5px 0;margin:0 5px;padding:15px;position:relative;z-index:1;background:#A0A0A0;box-shadow:inset -5px -5px 0px 0px #808080;cursor:pointer}.pixel-button-container button:before{border:inherit;border-width:0 5px;width:100%;content:'';height:100%;left:-5px;pointer-events:none;position:absolute;top:0;right:-5px;z-index:-1}.pixel-button-container button:active{background-color:#808080;box-shadow:inset -5px -5px 0px 0px #A0A0A0}.pixel-button-container button:hover{background-color:#808080;box-shadow:inset -5px -5px 0px 0px #A0A0A0}.hide-cursor .typed-cursor{display:none}";
const ArcadeButtonStyle0 = arcadeButtonCss;

const ArcadeButton$1 = /*@__PURE__*/ proxyCustomElement(class ArcadeButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.action = undefined;
        this.label = undefined;
    }
    render() {
        return (h(Host, { key: 'e67089b4cf5b9aa1d6b49a9e0739dd69cf127c23' }, h("div", { key: '78ed5a165b7a1c8cf391e8a0998e599cfff81180', class: "pixel-button-container" }, h("button", { key: '92dabcad32b59610b93d32c4ada66c2358c41d55', onClick: () => this.action() }, this.label))));
    }
    static get style() { return ArcadeButtonStyle0; }
}, [1, "arcade-button", {
        "action": [16],
        "label": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["arcade-button"];
    components.forEach(tagName => { switch (tagName) {
        case "arcade-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ArcadeButton$1);
            }
            break;
    } });
}

const ArcadeButton = ArcadeButton$1;
const defineCustomElement = defineCustomElement$1;

export { ArcadeButton, defineCustomElement };

//# sourceMappingURL=arcade-button.js.map