import { p as promiseResolve, b as bootstrapLazy } from './index-12e36790.js';
export { s as setNonce } from './index-12e36790.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.21.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["arcade-button_3",[[1,"arcade-button",{"action":[16],"label":[1]}],[1,"arcade-typewriter",{"action":[16],"text":[1],"doneWriting":[32]}],[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]]], options);
});

//# sourceMappingURL=components.js.map